ZeroMQ::Message(3pm)

NAME
ZeroMQ::Message - A 0MQ Message object

SYNOPSIS
  use ZeroMQ qw/:all/;

  my $cxt = ZeroMQ::Context->new;
  my $sock = ZeroMQ::Socket->new($cxt, ZMQ_REP);
  my $msg = ZeroMQ::Message->new($text);
  $sock->send($msg);
  my $anothermsg = $sock->recv;

DESCRIPTION
A "ZeroMQ::Message" object represents a message to be passed over a "ZeroMQ::Socket".

METHODS

  new
Creates a new "ZeroMQ::Message".

Takes the data to send with the message as argument.

  new_from_message( $rawmsg )
Creates a new "ZeroMQ::Message".

Takes a ZeroMQ::Raw::Message object as argument.

  message
Return the underlying ZeroMQ::Raw::Message object.

  size
Returns the length (in bytes) of the contained data.

  data
Returns the data as a (potentially binary) string.

SEE ALSO
ZeroMQ, ZeroMQ::Socket, ZeroMQ::Context

<http://zeromq.org>

ExtUtils::XSpp, Module::Build::WithXSpp

AUTHOR
Daisuke Maki <daisuke@endeworks.jp>

Steffen Mueller, <smueller@cpan.org>

COPYRIGHT AND LICENSE
The ZeroMQ module is

Copyright (C) 2010 by Daisuke Maki

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.0 or, at your option, any later version of Perl 5 you may have available.